//****************************************//
//            Light sensor with           //
//        Analog and Digital output       //
//                                        //
//    This is a sample sketch for reading //
// the analog and digital output signal   //
// and print the data in Serial Monitor.  //
//                                        //
//              Codes by:                 //
//      e-Gizmo Mechatronix Central       //
//        http://www.e-gizmo.net          //
//           Novemver 5, 2017             //
//****************************************//

int digitalLightSensorPin = 4;    // select the Digital input pin for the Light Sensor
int analogLightSensorPin = A0;    // select the input pin for the Light Sensor
int analogSensorValue = 0;  // variable to store the Analog value coming from the sensor
int digitalSensorValue = 0;  // variable to store the Digital value coming from the sensor

void setup() {
  //Initialize the Serial output
  Serial.begin(9600);

  //Declare MicrophonePin as an Input
  pinMode(digitalLightSensorPin, INPUT);
  pinMode(analogLightSensorPin, INPUT);
}

void loop() {
  // read the value from the sensor:
  analogSensorValue = analogRead(analogLightSensorPin);
  digitalSensorValue = digitalRead(digitalLightSensorPin);

  //Print out display to the serial monitor
  Serial.print("Digital Reading: ");
  Serial.print(digitalSensorValue);
  Serial.print(", Analog Reading: ");
  Serial.println(analogSensorValue);

  delay(100); //Delay for stability
}
